Package com.pixelmed.dicom

# Class CodingSchemeIdentificationItem

java.lang.Object
com.pixelmed.dicom.CodingSchemeIdentificationItem

public class CodingSchemeIdentificationItem extends Object

A class to encapsulate the attributes of an Item of CodingSchemeIdentificationSequence.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`codingSchemeDesignator`
`protected String`
`codingSchemeName`
`protected String`
`codingSchemeRegistry`
`protected String`
`codingSchemeUID`

## Constructor Summary

Constructors
Constructor
Description
`CodingSchemeIdentificationItem(SequenceItem item)`
`CodingSchemeIdentificationItem(String codingSchemeDesignator, String codingSchemeRegistry, String codingSchemeUID, String codingSchemeName)`

## Method Summary

Modifier and Type
Method
Description
`SequenceItem`
`getAsSequenceItem()`
`String`
`getCodingSchemeDesignator()`
`String`
`getCodingSchemeName()`
`String`
`getCodingSchemeRegistry()`
`String`
`getCodingSchemeUID()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### codingSchemeDesignator

protected String codingSchemeDesignator

### codingSchemeRegistry

protected String codingSchemeRegistry

### codingSchemeUID

protected String codingSchemeUID

### codingSchemeName

protected String codingSchemeName

## Constructor Details

### CodingSchemeIdentificationItem

public CodingSchemeIdentificationItem(String codingSchemeDesignator, String codingSchemeRegistry, String codingSchemeUID, String codingSchemeName)

### CodingSchemeIdentificationItem

public CodingSchemeIdentificationItem(SequenceItem item)

## Method Details

### getCodingSchemeDesignator

public String getCodingSchemeDesignator()

### getCodingSchemeRegistry

public String getCodingSchemeRegistry()

### getCodingSchemeUID

public String getCodingSchemeUID()

### getCodingSchemeName

public String getCodingSchemeName()

### getAsSequenceItem

public SequenceItem getAsSequenceItem()